Archive a form definition
curl --request DELETE \
--url https://api.hubapi.com/marketing/forms/2026-09-beta/{formId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/forms/2026-09-beta/{formId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/forms/2026-09-beta/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Forms
Archive a form definition
Delete a specific form from your HubSpot account using its unique identifier. This operation will permanently remove the form and cannot be undone. Ensure that you have the necessary permissions before performing this action.
DELETE
/
marketing
/
forms
/
2026-09-beta
/
{formId}
Archive a form definition
Last modified on March 31, 2026
Was this page helpful?
⌘I